Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

While submitting an application to the Ubuntu Touch store, I got the following error message.

"desktop_Version (Cliffhanger)": {
     "text": "'0.3' does not match freedesktop.org version '1.0'"
}

What does this mean and how do I fix it?

share|improve this question

1 Answer 1

up vote 4 down vote accepted

In the .desktop file, there is a line which starts with "Version=". This field allows you to specify the version of the .desktop file specification by freedesktop.org. It is a common mistake to specify your application version here.

This field is optional and doesn't need to be included in your desktop. But if you do include it, make sure to set it to the currently supported .desktop file specification version. At the time of answering this question, it is 1.0.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.